#ifndef _H_MOVIE_
#define _H_MOVIE_

#include "stdio.h"
extern long unsigned int FrameCount;
extern char Movie_Dir[1024]; 
void MovieRecordingStuff();
void MoviePlayingStuff();


#define MOVIE_PLAYING	1
#define MOVIE_RECORDING 2
#define MOVIE_FINISHED  3

struct typeMovie
{
	int MovieStatus; //Modif IM - conflicted with some xlib stuff
	FILE *File;
	int ReadOnly;
	unsigned int LastFrame;
	char FileName[1024];
	int UseState;
	char StateName[1024];
	unsigned int StateFrame;
	char Header[17];
	unsigned int NbRerecords;
	char Note[41];
	int Player1Config;
	int Player2Config;
	int Version;
	int Ok;
	int StateOk;
	int Vfreq;		//' 0 =60Hz  1=50Hz                
	int StateRequired; // ' 0= No savestate required 1=Savestate required
	int TriplePlayerHack; // 0=No triple player hack 1=yes
};

void InitMovie(typeMovie * aMovie);
void PrintMovie(typeMovie * aMovie);
void CopyMovie(typeMovie *MovieSrc,typeMovie *MovieDest);
void GetMovieInfo(char *FileName,typeMovie *aMovie);
void GetStateInfo(char * FileName,typeMovie *aMovie);
int CloseMovieFile(typeMovie *aMovie);
int OpenMovieFile(typeMovie *aMovie);
int BackupMovieFile(typeMovie *aMovie);

extern typeMovie MainMovie;

#endif

