#include <stdlib.h>
#include "SDL.h"
//taken and simplified from http://manuals.thexdershome.com/SDL-1.2.5/html/guideinputkeyboard.html
int main(){
    SDL_Event event;
    int quit = 0;
    if( SDL_Init( SDL_INIT_VIDEO ) < 0){
        fprintf( stderr, "Could not initialise SDL: %s\n", SDL_GetError() );
        exit(1);
    }
    if( !SDL_SetVideoMode( 320, 200, 0, 0 ) ){
        fprintf( stderr, "Could not set video mode: %s\n", SDL_GetError() );
        SDL_Quit();
        exit(1);
    }
    while( !quit ){
        while( SDL_PollEvent( &event ) ){
            switch( event.type ){
                case SDL_KEYDOWN:
                    printf( "Name: %s\n", SDL_GetKeyName( event.key.keysym.sym ) );
                    break;
                case SDL_QUIT:
                    quit = 1;
                    break;
                default:
                    break;
            }
        }
    }
    SDL_Quit();
}
